<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.135.8.10.120
Name: Appropriate suitable hospitals Section
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.135.8.10.120-2019-07-18T100909">
   <title>Appropriate suitable hospitals Section</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.120
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]]
Item: (NaechsterreichbareGeeigneteKrankenhaeuser)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.120
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]
Item: (NaechsterreichbareGeeigneteKrankenhaeuser)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]"
         id="d20e2417-false-d7943e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.120-2019-07-18T100909.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(NaechsterreichbareGeeigneteKrankenhaeuser): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.120-2019-07-18T100909.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(NaechsterreichbareGeeigneteKrankenhaeuser): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.120-2019-07-18T100909.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']) &gt;= 1">(NaechsterreichbareGeeigneteKrankenhaeuser): Element hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.120-2019-07-18T100909.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']) &lt;= 1">(NaechsterreichbareGeeigneteKrankenhaeuser): Element hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.120-2019-07-18T100909.html"
              test="count(hl7:code[(@code = 'KRANKENHAUSEMPFEHLUNGEN' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]) &lt;= 1">(NaechsterreichbareGeeigneteKrankenhaeuser): Element hl7:code[(@code = 'KRANKENHAUSEMPFEHLUNGEN' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.120-2019-07-18T100909.html"
              test="count(hl7:title) &lt;= 1">(NaechsterreichbareGeeigneteKrankenhaeuser): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.120-2019-07-18T100909.html"
              test="count(hl7:entry) &lt;= 2">(NaechsterreichbareGeeigneteKrankenhaeuser): Element hl7:entry kommt zu häufig vor [max 2x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.120
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]/hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']
Item: (NaechsterreichbareGeeigneteKrankenhaeuser)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]/hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']"
         id="d20e2423-false-d7993e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.120-2019-07-18T100909.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NaechsterreichbareGeeigneteKrankenhaeuser): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.120-2019-07-18T100909.html"
              test="string(@root) = ('1.2.276.0.76.3.1.135.8.10.120')">(NaechsterreichbareGeeigneteKrankenhaeuser): Der Wert von root MUSS '1.2.276.0.76.3.1.135.8.10.120' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.120
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]/hl7:code[(@code = 'KRANKENHAUSEMPFEHLUNGEN' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]
Item: (NaechsterreichbareGeeigneteKrankenhaeuser)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]/hl7:code[(@code = 'KRANKENHAUSEMPFEHLUNGEN' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]"
         id="d20e2428-false-d8008e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.120-2019-07-18T100909.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NaechsterreichbareGeeigneteKrankenhaeuser): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.120-2019-07-18T100909.html"
              test="@nullFlavor or (@code='KRANKENHAUSEMPFEHLUNGEN' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(NaechsterreichbareGeeigneteKrankenhaeuser): Der Elementinhalt MUSS einer von 'code 'KRANKENHAUSEMPFEHLUNGEN' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.120
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]/hl7:title
Item: (NaechsterreichbareGeeigneteKrankenhaeuser)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]/hl7:title"
         id="d20e2433-false-d8024e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.120-2019-07-18T100909.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NaechsterreichbareGeeigneteKrankenhaeuser): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.120-2019-07-18T100909.html"
              test="text()='Nächsterreichbare, geeignete Krankenhäuser'">(NaechsterreichbareGeeigneteKrankenhaeuser): Der Elementinhalt von 'hl7:title' MUSS ''Nächsterreichbare, geeignete Krankenhäuser'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.120
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]/hl7:entry
Item: (NaechsterreichbareGeeigneteKrankenhaeuser)
-->
</pattern>
