<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.135.8.10.121
Name: Accident Observation (02)
Description: Mit dieser Observation werden die 3 Checkboxen, die Angaben zum Unfall machen, über ein Value Set repräsentiert. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657">
   <title>Accident Observation (02)</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.121
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]]
Item: (F02AccidentObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.121
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]
Item: (F02AccidentObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]"
         id="d20e2479-false-d8084e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(F02AccidentObservation): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657.html"
              test="string(@moodCode) = ('EVN')">(F02AccidentObservation): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']) &gt;= 1">(F02AccidentObservation): Element hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']) &lt;= 1">(F02AccidentObservation): Element hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657.html"
              test="count(hl7:code[(@code = 'UNFALL' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]) &gt;= 1">(F02AccidentObservation): Element hl7:code[(@code = 'UNFALL' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657.html"
              test="count(hl7:code[(@code = 'UNFALL' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]) &lt;= 1">(F02AccidentObservation): Element hl7:code[(@code = 'UNFALL' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(F02AccidentObservation): Element hl7:statusCode[@code = 'completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.135.8.11.26-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(F02AccidentObservation): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.135.8.11.26-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.135.8.11.26-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(F02AccidentObservation): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.135.8.11.26-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.121
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]/hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']
Item: (F02AccidentObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]/hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']"
         id="d20e2485-false-d8137e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F02AccidentObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657.html"
              test="string(@root) = ('1.2.276.0.76.3.1.135.8.10.121')">(F02AccidentObservation): Der Wert von root MUSS '1.2.276.0.76.3.1.135.8.10.121' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.121
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]/hl7:code[(@code = 'UNFALL' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]
Item: (F02AccidentObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]/hl7:code[(@code = 'UNFALL' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]"
         id="d20e2490-false-d8152e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F02AccidentObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657.html"
              test="@nullFlavor or (@code='UNFALL' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(F02AccidentObservation): Der Elementinhalt MUSS einer von 'code 'UNFALL' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.121
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (F02AccidentObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d20e2495-false-d8169e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F02AccidentObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657.html"
              test="@nullFlavor or (@code='completed')">(F02AccidentObservation): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.121
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.135.8.11.26-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (F02AccidentObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.135.8.11.26-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d20e2501-false-d8188e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F02AccidentObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.121-2019-07-18T113657.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.3.1.135.8.11.26-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(F02AccidentObservation): Der Elementinhalt MUSS einer von '1.2.276.0.76.3.1.135.8.11.26 S_KBV_02_Accident (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
