<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.135.8.10.118
Name: 02A: Krankenhausbehandlung - Verordnung
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247-closed">
   <title>02A: Krankenhausbehandlung - Verordnung</title>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/*[not(self::hl7:realmCode | self::hl7:typeId[@root = '2.16.840.1.113883.1.3'][@extension = 'POCD_HD000040'] | self::hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118'] | self::hl7:id | self::hl7:code[(@code = '57832-8' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] | self::hl7:title[not(@nullFlavor)] | self::hl7:effectiveTime | self::hl7:confidentialityCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | self::hl7:setId | self::hl7:versionNumber | self::hl7:recordTarget[hl7:templateId[@root = '1.2.276.0.76.10.2048']] | self::hl7:author[hl7:templateId/@root='1.2.276.0.76.10.2049'] | self::hl7:author[hl7:templateId/@root='1.2.276.0.76.10.2031'] | self::hl7:custodian[hl7:assignedCustodian] | self::hl7:legalAuthenticator[hl7:signatureCode[@code = doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]] | self::hl7:component[hl7:structuredBody])]"
         id="d20e2140-true-d4295e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d20e2140-true-d4295e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:realmCode | hl7:typeId[@root = '2.16.840.1.113883.1.3'][@extension = 'POCD_HD000040'] | hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118'] | hl7:id | hl7:code[(@code = '57832-8' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] | hl7:title[not(@nullFlavor)] | hl7:effectiveTime | hl7:confidentialityCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | hl7:setId | hl7:versionNumber | hl7:recordTarget[hl7:templateId[@root = '1.2.276.0.76.10.2048']] | hl7:author[hl7:templateId/@root='1.2.276.0.76.10.2049'] | hl7:author[hl7:templateId/@root='1.2.276.0.76.10.2031'] | hl7:custodian[hl7:assignedCustodian] | hl7:legalAuthenticator[hl7:signatureCode[@code = doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]] | hl7:component[hl7:structuredBody] (rule-reference: d20e2140-true-d4295e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:recordTarget[hl7:templateId[@root = '1.2.276.0.76.10.2048']]/*[not(self::hl7:templateId[@root = '1.2.276.0.76.10.2048'] | self::hl7:patientRole)]"
         id="d4355e11-true-d4382e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.2048-2016-02-19T151248.html"
              test="not(.)">(CDArecordTargetvomgt)/d4355e11-true-d4382e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.276.0.76.10.2048'] | hl7:patientRole (rule-reference: d4355e11-true-d4382e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:recordTarget[hl7:templateId[@root = '1.2.276.0.76.10.2048']]/hl7:patientRole/*[not(self::hl7:id | self::hl7:addr[not(@nullFlavor)] | self::hl7:patient)]"
         id="d4355e35-true-d4419e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.2048-2016-02-19T151248.html"
              test="not(.)">(CDArecordTargetvomgt)/d4355e35-true-d4419e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id | hl7:addr[not(@nullFlavor)] | hl7:patient (rule-reference: d4355e35-true-d4419e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:recordTarget[hl7:templateId[@root = '1.2.276.0.76.10.2048']]/hl7:patientRole/hl7:patient/*[not(self::hl7:name | self::hl7:administrativeGenderCode | self::hl7:birthTime[not(@nullFlavor)])]"
         id="d4355e110-true-d4454e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.2048-2016-02-19T151248.html"
              test="not(.)">(CDArecordTargetvomgt)/d4355e110-true-d4454e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:name | hl7:administrativeGenderCode | hl7:birthTime[not(@nullFlavor)] (rule-reference: d4355e110-true-d4454e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:recordTarget[hl7:templateId[@root = '1.2.276.0.76.10.2048']]/hl7:patientRole/hl7:patient/hl7:name/*[not(self::hl7:prefix[@qualifier='AC'] | self::hl7:given | self::hl7:prefix[@qualifier='NB'] | self::hl7:prefix[@qualifier='VV'] | self::hl7:family | self::hl7:suffix)]"
         id="d4454e62-true-d4482e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.90030-2018-04-11T000000.html"
              test="not(.)">(Personenname)/d4454e62-true-d4482e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:prefix[@qualifier='AC'] | hl7:given | hl7:prefix[@qualifier='NB'] | hl7:prefix[@qualifier='VV'] | hl7:family | hl7:suffix (rule-reference: d4454e62-true-d4482e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:author[hl7:templateId/@root='1.2.276.0.76.10.2049']/*[not(self::hl7:templateId[@root = '1.2.276.0.76.10.2049'] | self::hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | self::hl7:time | self::hl7:assignedAuthor[hl7:id[@root = '1.2.276.0.76.4.16']])]"
         id="d4520e56-true-d4564e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.2049-2016-09-06T104305.html"
              test="not(.)">(HeaderAuthorPerson)/d4520e56-true-d4564e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.276.0.76.10.2049'] | hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | hl7:time | hl7:assignedAuthor[hl7:id[@root = '1.2.276.0.76.4.16']] (rule-reference: d4520e56-true-d4564e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:author[hl7:templateId/@root='1.2.276.0.76.10.2049']/hl7:assignedAuthor[hl7:id[@root = '1.2.276.0.76.4.16']]/*[not(self::hl7:id[@root = '1.2.276.0.76.4.16'] | self::hl7:id[@root = '1.2.276.0.76.4.200'] | self::hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.101-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | self::hl7:telecom | self::hl7:assignedPerson[not(@nullFlavor)] | self::hl7:representedOrganization[not(@nullFlavor)])]"
         id="d4520e90-true-d4646e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.2049-2016-09-06T104305.html"
              test="not(.)">(HeaderAuthorPerson)/d4520e90-true-d4646e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id[@root = '1.2.276.0.76.4.16'] | hl7:id[@root = '1.2.276.0.76.4.200'] | hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.101-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | hl7:telecom | hl7:assignedPerson[not(@nullFlavor)] | hl7:representedOrganization[not(@nullFlavor)] (rule-reference: d4520e90-true-d4646e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:author[hl7:templateId/@root='1.2.276.0.76.10.2049']/hl7:assignedAuthor[hl7:id[@root = '1.2.276.0.76.4.16']]/hl7:assignedPerson[not(@nullFlavor)]/*[not(self::hl7:name[not(@nullFlavor)])]"
         id="d4520e131-true-d4686e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.2049-2016-09-06T104305.html"
              test="not(.)">(HeaderAuthorPerson)/d4520e131-true-d4686e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:name[not(@nullFlavor)] (rule-reference: d4520e131-true-d4686e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:author[hl7:templateId/@root='1.2.276.0.76.10.2049']/hl7:assignedAuthor[hl7:id[@root = '1.2.276.0.76.4.16']]/hl7:representedOrganization[not(@nullFlavor)]/*[not(self::hl7:id | self::hl7:name[not(@nullFlavor)] | self::hl7:telecom | self::hl7:addr)]"
         id="d4520e136-true-d4713e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.2049-2016-09-06T104305.html"
              test="not(.)">(HeaderAuthorPerson)/d4520e136-true-d4713e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id | hl7:name[not(@nullFlavor)] | hl7:telecom | hl7:addr (rule-reference: d4520e136-true-d4713e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:author[hl7:templateId/@root='1.2.276.0.76.10.2031']/*[not(self::hl7:templateId[@root = '1.2.276.0.76.10.2031'] | self::hl7:time[not(@nullFlavor)] | self::hl7:assignedAuthor[not(@nullFlavor)][hl7:assignedAuthoringDevice])]"
         id="d4738e40-true-d4760e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.2031-2014-12-17T000000.html"
              test="not(.)">(HeaderAuthorSoftwarepmp)/d4738e40-true-d4760e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.276.0.76.10.2031'] | hl7:time[not(@nullFlavor)] | hl7:assignedAuthor[not(@nullFlavor)][hl7:assignedAuthoringDevice] (rule-reference: d4738e40-true-d4760e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:author[hl7:templateId/@root='1.2.276.0.76.10.2031']/hl7:assignedAuthor[not(@nullFlavor)][hl7:assignedAuthoringDevice]/*[not(self::hl7:id | self::hl7:assignedAuthoringDevice)]"
         id="d4738e51-true-d4790e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.2031-2014-12-17T000000.html"
              test="not(.)">(HeaderAuthorSoftwarepmp)/d4738e51-true-d4790e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id | hl7:assignedAuthoringDevice (rule-reference: d4738e51-true-d4790e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:author[hl7:templateId/@root='1.2.276.0.76.10.2031']/hl7:assignedAuthor[not(@nullFlavor)][hl7:assignedAuthoringDevice]/hl7:assignedAuthoringDevice/*[not(self::hl7:manufacturerModelName | self::hl7:softwareName)]"
         id="d4738e57-true-d4814e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.2031-2014-12-17T000000.html"
              test="not(.)">(HeaderAuthorSoftwarepmp)/d4738e57-true-d4814e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:manufacturerModelName | hl7:softwareName (rule-reference: d4738e57-true-d4814e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:custodian[hl7:assignedCustodian]/*[not(self::hl7:assignedCustodian[not(@nullFlavor)][hl7:representedCustodianOrganization])]"
         id="d4828e9-true-d4840e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="not(.)">(HeaderCustodian)/d4828e9-true-d4840e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:assignedCustodian[not(@nullFlavor)][hl7:representedCustodianOrganization] (rule-reference: d4828e9-true-d4840e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[not(@nullFlavor)][hl7:representedCustodianOrganization]/*[not(self::hl7:representedCustodianOrganization[not(@nullFlavor)])]"
         id="d4828e29-true-d4854e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="not(.)">(HeaderCustodian)/d4828e29-true-d4854e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:representedCustodianOrganization[not(@nullFlavor)] (rule-reference: d4828e29-true-d4854e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[not(@nullFlavor)][hl7:representedCustodianOrganization]/hl7:representedCustodianOrganization[not(@nullFlavor)]/*[not(self::hl7:id | self::hl7:name[not(@nullFlavor)] | self::hl7:telecom | self::hl7:addr)]"
         id="d4828e35-true-d4883e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.2004-2013-07-17T000000.html"
              test="not(.)">(HeaderCustodian)/d4828e35-true-d4883e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id | hl7:name[not(@nullFlavor)] | hl7:telecom | hl7:addr (rule-reference: d4828e35-true-d4883e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:legalAuthenticator[hl7:signatureCode[@code = doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]]/*[not(self::hl7:time | self::hl7:signatureCode[@code = doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] | self::hl7:assignedEntity[hl7:assignedPerson])]"
         id="d4907e64-true-d4959e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.2020-2014-08-25T000000.html"
              test="not(.)">(HeaderLegalAuthenticator)/d4907e64-true-d4959e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:time | hl7:signatureCode[@code = doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] | hl7:assignedEntity[hl7:assignedPerson] (rule-reference: d4907e64-true-d4959e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:legalAuthenticator[hl7:signatureCode[@code = doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]]/hl7:assignedEntity[hl7:assignedPerson]/*[not(self::hl7:id | self::hl7:addr | self::hl7:telecom | self::hl7:assignedPerson[not(@nullFlavor)] | self::hl7:representedOrganization)]"
         id="d4907e77-true-d5005e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.2020-2014-08-25T000000.html"
              test="not(.)">(HeaderLegalAuthenticator)/d4907e77-true-d5005e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id | hl7:addr | hl7:telecom | hl7:assignedPerson[not(@nullFlavor)] | hl7:representedOrganization (rule-reference: d4907e77-true-d5005e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:legalAuthenticator[hl7:signatureCode[@code = doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]]/hl7:assignedEntity[hl7:assignedPerson]/hl7:assignedPerson[not(@nullFlavor)]/*[not(self::hl7:name[not(@nullFlavor)])]"
         id="d5003e36-true-d5036e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements)/d5003e36-true-d5036e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:name[not(@nullFlavor)] (rule-reference: d5003e36-true-d5036e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:legalAuthenticator[hl7:signatureCode[@code = doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]]/hl7:assignedEntity[hl7:assignedPerson]/hl7:representedOrganization/*[not(self::hl7:id | self::hl7:name[not(@nullFlavor)] | self::hl7:telecom | self::hl7:addr)]"
         id="d5003e45-true-d5063e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements)/d5003e45-true-d5063e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id | hl7:name[not(@nullFlavor)] | hl7:telecom | hl7:addr (rule-reference: d5003e45-true-d5063e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/*[not(self::hl7:structuredBody)]"
         id="d20e2206-true-d5208e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d20e2206-true-d5208e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:structuredBody (rule-reference: d20e2206-true-d5208e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/*[not(self::hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]] | self::hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]] | self::hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]] | self::hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3107']]] | self::hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]] | self::hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.124']]])]"
         id="d20e2212-true-d5368e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d20e2212-true-d5368e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]] | hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]] | hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]] | hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3107']]] | hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]] | hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.124']]] (rule-reference: d20e2212-true-d5368e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/*[not(self::hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']])]"
         id="d20e2218-true-d5434e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d20e2218-true-d5434e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']] (rule-reference: d20e2218-true-d5434e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/*[not(self::hl7:templateId[@root = '1.2.276.0.76.10.3103'] | self::hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:title | self::hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]])]"
         id="d5372e8-true-d5516e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d5372e8-true-d5516e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.276.0.76.10.3103'] | hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:title | hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]] (rule-reference: d5372e8-true-d5516e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/*[not(self::hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']])]"
         id="d5372e29-true-d5594e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d5372e29-true-d5594e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']] (rule-reference: d5372e29-true-d5594e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/*[not(self::hl7:templateId[@root = '1.2.276.0.76.10.4263'] | self::hl7:id | self::hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:statusCode[@code = 'completed'] | self::hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]])]"
         id="d5538e8-true-d5677e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d5538e8-true-d5677e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.276.0.76.10.4263'] | hl7:id | hl7:code[(@code = '48768-6' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:statusCode[@code = 'completed'] | hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]] (rule-reference: d5538e8-true-d5677e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]/*[not(self::hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']])]"
         id="d5538e35-true-d5752e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d5538e35-true-d5752e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']] (rule-reference: d5538e35-true-d5752e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]/*[not(self::hl7:templateId[@root = '1.2.276.0.76.10.4264'] | self::hl7:id | self::hl7:code[(@code = 'POLICY' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] | self::hl7:statusCode[@code = 'completed'] | self::hl7:performer[not(@nullFlavor)][@typeCode = 'PRF'][hl7:assignedEntity] | self::hl7:participant[@typeCode='COV'][not(@nullFlavor)] | self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4280']]] | self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4273']]] | self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4271']]] | self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4275']]] | self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4272']]])]"
         id="d5705e10-true-d5860e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d5705e10-true-d5860e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.276.0.76.10.4264'] | hl7:id | hl7:code[(@code = 'POLICY' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] | hl7:statusCode[@code = 'completed'] | hl7:performer[not(@nullFlavor)][@typeCode = 'PRF'][hl7:assignedEntity] | hl7:participant[@typeCode='COV'][not(@nullFlavor)] | hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4280']]] | hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4273']]] | hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4271']]] | hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4275']]] | hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4272']]] (rule-reference: d5705e10-true-d5860e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]/hl7:performer[not(@nullFlavor)][@typeCode = 'PRF'][hl7:assignedEntity]/*[not(self::hl7:assignedEntity[hl7:id[@root = '1.2.276.0.76.4.5']])]"
         id="d5705e34-true-d5899e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d5705e34-true-d5899e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:assignedEntity[hl7:id[@root = '1.2.276.0.76.4.5']] (rule-reference: d5705e34-true-d5899e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]/hl7:performer[not(@nullFlavor)][@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[hl7:id[@root = '1.2.276.0.76.4.5']]/*[not(self::hl7:id[@root = '1.2.276.0.76.4.5'] | self::hl7:representedOrganization[hl7:name])]"
         id="d5705e41-true-d5921e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d5705e41-true-d5921e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id[@root = '1.2.276.0.76.4.5'] | hl7:representedOrganization[hl7:name] (rule-reference: d5705e41-true-d5921e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]/hl7:performer[not(@nullFlavor)][@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[hl7:id[@root = '1.2.276.0.76.4.5']]/hl7:representedOrganization[hl7:name]/*[not(self::hl7:name[not(@nullFlavor)])]"
         id="d5705e53-true-d5941e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d5705e53-true-d5941e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:name[not(@nullFlavor)] (rule-reference: d5705e53-true-d5941e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]/hl7:participant[@typeCode='COV'][not(@nullFlavor)]/*[not(self::hl7:time | self::hl7:participantRole[hl7:id[@root = '1.2.276.0.76.4.8']])]"
         id="d5705e66-true-d5965e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d5705e66-true-d5965e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:time | hl7:participantRole[hl7:id[@root = '1.2.276.0.76.4.8']] (rule-reference: d5705e66-true-d5965e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]/hl7:participant[@typeCode='COV'][not(@nullFlavor)]/hl7:time/*[not(self::hl7:low | self::hl7:high)]"
         id="d5705e77-true-d5984e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d5705e77-true-d5984e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:low | hl7:high (rule-reference: d5705e77-true-d5984e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]/hl7:participant[@typeCode='COV'][not(@nullFlavor)]/hl7:participantRole[hl7:id[@root = '1.2.276.0.76.4.8']]/*[not(self::hl7:id[@root = '1.2.276.0.76.4.8'] | self::hl7:id[@root = '1.2.276.0.76.4.8'] | self::hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.162-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | self::hl7:addr | self::hl7:playingEntity[hl7:name])]"
         id="d5705e96-true-d6039e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d5705e96-true-d6039e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id[@root = '1.2.276.0.76.4.8'] | hl7:id[@root = '1.2.276.0.76.4.8'] | hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.162-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | hl7:addr | hl7:playingEntity[hl7:name] (rule-reference: d5705e96-true-d6039e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]/hl7:participant[@typeCode='COV'][not(@nullFlavor)]/hl7:participantRole[hl7:id[@root = '1.2.276.0.76.4.8']]/hl7:playingEntity[hl7:name]/*[not(self::hl7:name[not(@nullFlavor)])]"
         id="d5705e147-true-d6078e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d5705e147-true-d6078e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:name[not(@nullFlavor)] (rule-reference: d5705e147-true-d6078e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4280']]]/*[not(self::hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4280']])]"
         id="d5705e160-true-d6103e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d5705e160-true-d6103e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4280']] (rule-reference: d5705e160-true-d6103e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4280']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4280']]/*[not(self::hl7:templateId[@root = '1.2.276.0.76.10.4280'] | self::hl7:id | self::hl7:code[@code = 'KENNZEICHEN'] | self::hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.459-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)])]"
         id="d6088e5-true-d6143e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d6088e5-true-d6143e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.276.0.76.10.4280'] | hl7:id | hl7:code[@code = 'KENNZEICHEN'] | hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.459-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] (rule-reference: d6088e5-true-d6143e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4273']]]/*[not(self::hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4273']])]"
         id="d5705e165-true-d6188e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d5705e165-true-d6188e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4273']] (rule-reference: d5705e165-true-d6188e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4273']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4273']]/*[not(self::hl7:templateId[@root = '1.2.276.0.76.10.4273'] | self::hl7:code[(@code = 'PRSNGRP' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] | self::hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.151-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)])]"
         id="d6173e5-true-d6223e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d6173e5-true-d6223e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.276.0.76.10.4273'] | hl7:code[(@code = 'PRSNGRP' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] | hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.151-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] (rule-reference: d6173e5-true-d6223e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4271']]]/*[not(self::hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4271']])]"
         id="d5705e170-true-d6263e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d5705e170-true-d6263e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4271']] (rule-reference: d5705e170-true-d6263e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4271']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4271']]/*[not(self::hl7:templateId[@root = '1.2.276.0.76.10.4271'] | self::hl7:code[(@code = 'DMP' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] | self::hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.138-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)])]"
         id="d6248e5-true-d6298e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d6248e5-true-d6298e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.276.0.76.10.4271'] | hl7:code[(@code = 'DMP' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] | hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.138-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] (rule-reference: d6248e5-true-d6298e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4275']]]/*[not(self::hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4275']])]"
         id="d5705e176-true-d6338e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d5705e176-true-d6338e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4275']] (rule-reference: d5705e176-true-d6338e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4275']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4275']]/*[not(self::hl7:templateId[@root = '1.2.276.0.76.10.4275'] | self::hl7:code[(@code = 'KV-Zuordnung' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] | self::hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.148-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)])]"
         id="d6323e5-true-d6373e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d6323e5-true-d6373e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.276.0.76.10.4275'] | hl7:code[(@code = 'KV-Zuordnung' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] | hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.148-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] (rule-reference: d6323e5-true-d6373e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4272']]]/*[not(self::hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4272']])]"
         id="d5705e181-true-d6413e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d5705e181-true-d6413e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4272']] (rule-reference: d5705e181-true-d6413e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4263']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4264']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4272']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4272']]/*[not(self::hl7:templateId[@root = '1.2.276.0.76.10.4272'] | self::hl7:code[(@code = 'eGK_Gender' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] | self::hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.458-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.135.8.11.25-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)])]"
         id="d6398e10-true-d6452e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d6398e10-true-d6452e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.276.0.76.10.4272'] | hl7:code[(@code = 'eGK_Gender' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] | hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.458-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.135.8.11.25-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] (rule-reference: d6398e10-true-d6452e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]]/*[not(self::hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']])]"
         id="d20e2225-true-d6509e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d20e2225-true-d6509e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']] (rule-reference: d20e2225-true-d6509e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]/*[not(self::hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120'] | self::hl7:code[(@code = 'KRANKENHAUSEMPFEHLUNGEN' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] | self::hl7:title | self::hl7:entry)]"
         id="d6479e8-true-d6558e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d6479e8-true-d6558e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120'] | hl7:code[(@code = 'KRANKENHAUSEMPFEHLUNGEN' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] | hl7:title | hl7:entry (rule-reference: d6479e8-true-d6558e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]/hl7:entry/*[not(self::hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']])]"
         id="d6479e31-true-d6597e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d6479e31-true-d6597e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']] (rule-reference: d6479e31-true-d6597e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]/hl7:entry/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/*[not(self::hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129'] | self::hl7:id | self::hl7:code[(@code = 'KRANKENHAUSEMPFEHLUNG' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] | self::hl7:text | self::hl7:statusCode[@code = 'completed' or @nullFlavor] | self::hl7:participant[@typeCode = 'ELOC'][hl7:participantRole])]"
         id="d6597e29-true-d6653e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="not(.)">(AppropriateSuitableHospital_2A)/d6597e29-true-d6653e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129'] | hl7:id | hl7:code[(@code = 'KRANKENHAUSEMPFEHLUNG' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] | hl7:text | hl7:statusCode[@code = 'completed' or @nullFlavor] | hl7:participant[@typeCode = 'ELOC'][hl7:participantRole] (rule-reference: d6597e29-true-d6653e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]/hl7:entry/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:participant[@typeCode = 'ELOC'][hl7:participantRole]/*[not(self::hl7:participantRole)]"
         id="d6597e57-true-d6698e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="not(.)">(AppropriateSuitableHospital_2A)/d6597e57-true-d6698e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:participantRole (rule-reference: d6597e57-true-d6698e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.120']]/hl7:entry/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:participant[@typeCode = 'ELOC'][hl7:participantRole]/hl7:participantRole/*[not(self::hl7:id | self::hl7:addr | self::hl7:telecom)]"
         id="d6686e3-true-d6722e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="not(.)">(AppropriateSuitableHospital_2A)/d6686e3-true-d6722e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id | hl7:addr | hl7:telecom (rule-reference: d6686e3-true-d6722e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]]/*[not(self::hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']])]"
         id="d20e2232-true-d6765e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d20e2232-true-d6765e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']] (rule-reference: d20e2232-true-d6765e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]/*[not(self::hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122'] | self::hl7:code[(@code = 'UNFALL' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] | self::hl7:title | self::hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]])]"
         id="d6742e8-true-d6808e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d6742e8-true-d6808e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122'] | hl7:code[(@code = 'UNFALL' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] | hl7:title | hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]] (rule-reference: d6742e8-true-d6808e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]]/*[not(self::hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']])]"
         id="d6742e31-true-d6845e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d6742e31-true-d6845e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']] (rule-reference: d6742e31-true-d6845e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]/*[not(self::hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121'] | self::hl7:code[(@code = 'UNFALL' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] | self::hl7:statusCode[@code = 'completed' or @nullFlavor] | self::hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.135.8.11.26-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)])]"
         id="d6830e8-true-d6887e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d6830e8-true-d6887e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121'] | hl7:code[(@code = 'UNFALL' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] | hl7:statusCode[@code = 'completed' or @nullFlavor] | hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.135.8.11.26-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] (rule-reference: d6830e8-true-d6887e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3107']]]/*[not(self::hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3107']])]"
         id="d20e2240-true-d6933e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d20e2240-true-d6933e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3107']] (rule-reference: d20e2240-true-d6933e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3107']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3107']]/*[not(self::hl7:templateId[@root = '1.2.276.0.76.10.3107'] | self::hl7:code[(@code = 'BEHANDLUNG' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] | self::hl7:title[not(@nullFlavor)] | self::hl7:text | self::hl7:entry[hl7:observation[hl7:code[(@code = 'BELEGARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]])]"
         id="d6918e8-true-d6974e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d6918e8-true-d6974e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.276.0.76.10.3107'] | hl7:code[(@code = 'BEHANDLUNG' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] | hl7:title[not(@nullFlavor)] | hl7:text | hl7:entry[hl7:observation[hl7:code[(@code = 'BELEGARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]] (rule-reference: d6918e8-true-d6974e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3107']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3107']]/hl7:entry[hl7:observation[hl7:code[(@code = 'BELEGARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]]/*[not(self::hl7:observation[hl7:code[(@code = 'BELEGARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]])]"
         id="d6918e28-true-d7013e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d6918e28-true-d7013e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:observation[hl7:code[(@code = 'BELEGARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]] (rule-reference: d6918e28-true-d7013e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3107']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3107']]/hl7:entry[hl7:observation[hl7:code[(@code = 'BELEGARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]]/hl7:observation[hl7:code[(@code = 'BELEGARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]/*[not(self::hl7:code[(@code = 'BELEGARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] | self::hl7:value)]"
         id="d6918e34-true-d7035e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d6918e34-true-d7035e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:code[(@code = 'BELEGARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] | hl7:value (rule-reference: d6918e34-true-d7035e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]]/*[not(self::hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']])]"
         id="d20e2247-true-d7086e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d20e2247-true-d7086e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']] (rule-reference: d20e2247-true-d7086e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]/*[not(self::hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119'] | self::hl7:code[(@code = 'DIAGNOSIS' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] | self::hl7:title | self::hl7:entry)]"
         id="d7051e8-true-d7139e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d7051e8-true-d7139e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119'] | hl7:code[(@code = 'DIAGNOSIS' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] | hl7:title | hl7:entry (rule-reference: d7051e8-true-d7139e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]/hl7:entry/*[not(self::hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']])]"
         id="d7051e31-true-d7181e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d7051e31-true-d7181e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']] (rule-reference: d7051e31-true-d7181e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]/hl7:entry/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/*[not(self::hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125'] | self::hl7:id | self::hl7:code[(@code = 'DIAGNOSE' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] | self::hl7:statusCode[@code = 'completed'] | self::hl7:value | self::hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]])]"
         id="d7178e92-true-d7236e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="not(.)">(DiagnosisObservation_02)/d7178e92-true-d7236e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125'] | hl7:id | hl7:code[(@code = 'DIAGNOSE' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] | hl7:statusCode[@code = 'completed'] | hl7:value | hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]] (rule-reference: d7178e92-true-d7236e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]/hl7:entry/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:value/*[not(self::hl7:qualifier[hl7:name/@code='20228-3'] | self::hl7:qualifier[hl7:name/@code='8'] | self::hl7:originalText)]"
         id="d7178e122-true-d7281e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="not(.)">(DiagnosisObservation_02)/d7178e122-true-d7281e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:qualifier[hl7:name/@code='20228-3'] | hl7:qualifier[hl7:name/@code='8'] | hl7:originalText (rule-reference: d7178e122-true-d7281e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]/hl7:entry/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']/*[not(self::hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code])]"
         id="d7281e35-true-d7307e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="not(.)">(Laterality)/d7281e35-true-d7307e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] (rule-reference: d7281e35-true-d7307e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]/hl7:entry/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:value/hl7:qualifier[hl7:name/@code='8']/*[not(self::hl7:name[(@code = '8' and @codeSystem = '2.16.840.1.113883.3.7.1.0')] | self::hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)])]"
         id="d7325e7-true-d7348e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="not(.)">(Certainty)/d7325e7-true-d7348e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:name[(@code = '8' and @codeSystem = '2.16.840.1.113883.3.7.1.0')] | hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] (rule-reference: d7325e7-true-d7348e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]/hl7:entry/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]]/*[not(self::hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]])]"
         id="d7178e142-true-d7384e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="not(.)">(DiagnosisObservation_02)/d7178e142-true-d7384e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]] (rule-reference: d7178e142-true-d7384e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.119']]/hl7:entry/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]]/hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]/*[not(self::hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] | self::hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.135.8.11.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor])]"
         id="d7178e146-true-d7412e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="not(.)">(DiagnosisObservation_02)/d7178e146-true-d7412e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] | hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.135.8.11.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] (rule-reference: d7178e146-true-d7412e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.124']]]/*[not(self::hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.124']])]"
         id="d20e2254-true-d7466e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d20e2254-true-d7466e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.124']] (rule-reference: d20e2254-true-d7466e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.124']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.124']]/*[not(self::hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.124'] | self::hl7:code[(@code = 'KRANKENHAUS' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] | self::hl7:title | self::hl7:author[hl7:templateId/@root='1.2.276.0.76.10.2049'])]"
         id="d7431e8-true-d7503e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.118-2019-07-17T123247.html"
              test="not(.)">(F02AKrankenhausbehandlung)/d7431e8-true-d7503e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.124'] | hl7:code[(@code = 'KRANKENHAUS' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] | hl7:title | hl7:author[hl7:templateId/@root='1.2.276.0.76.10.2049'] (rule-reference: d7431e8-true-d7503e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.124']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.124']]/hl7:author[hl7:templateId/@root='1.2.276.0.76.10.2049']/*[not(self::hl7:templateId[@root = '1.2.276.0.76.10.2049'] | self::hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | self::hl7:time | self::hl7:assignedAuthor[hl7:id[@root = '1.2.276.0.76.4.16']])]"
         id="d7524e56-true-d7568e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.2049-2016-09-06T104305.html"
              test="not(.)">(HeaderAuthorPerson)/d7524e56-true-d7568e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.276.0.76.10.2049'] | hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | hl7:time | hl7:assignedAuthor[hl7:id[@root = '1.2.276.0.76.4.16']] (rule-reference: d7524e56-true-d7568e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.124']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.124']]/hl7:author[hl7:templateId/@root='1.2.276.0.76.10.2049']/hl7:assignedAuthor[hl7:id[@root = '1.2.276.0.76.4.16']]/*[not(self::hl7:id[@root = '1.2.276.0.76.4.16'] | self::hl7:id[@root = '1.2.276.0.76.4.200'] | self::hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.101-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | self::hl7:telecom | self::hl7:assignedPerson[not(@nullFlavor)] | self::hl7:representedOrganization[not(@nullFlavor)])]"
         id="d7524e90-true-d7650e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.2049-2016-09-06T104305.html"
              test="not(.)">(HeaderAuthorPerson)/d7524e90-true-d7650e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id[@root = '1.2.276.0.76.4.16'] | hl7:id[@root = '1.2.276.0.76.4.200'] | hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.101-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | hl7:telecom | hl7:assignedPerson[not(@nullFlavor)] | hl7:representedOrganization[not(@nullFlavor)] (rule-reference: d7524e90-true-d7650e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.124']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.124']]/hl7:author[hl7:templateId/@root='1.2.276.0.76.10.2049']/hl7:assignedAuthor[hl7:id[@root = '1.2.276.0.76.4.16']]/hl7:assignedPerson[not(@nullFlavor)]/*[not(self::hl7:name[not(@nullFlavor)])]"
         id="d7524e131-true-d7690e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.2049-2016-09-06T104305.html"
              test="not(.)">(HeaderAuthorPerson)/d7524e131-true-d7690e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:name[not(@nullFlavor)] (rule-reference: d7524e131-true-d7690e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.118']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.124']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.124']]/hl7:author[hl7:templateId/@root='1.2.276.0.76.10.2049']/hl7:assignedAuthor[hl7:id[@root = '1.2.276.0.76.4.16']]/hl7:representedOrganization[not(@nullFlavor)]/*[not(self::hl7:id | self::hl7:name[not(@nullFlavor)] | self::hl7:telecom | self::hl7:addr)]"
         id="d7524e136-true-d7717e0">
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.10.2049-2016-09-06T104305.html"
              test="not(.)">(HeaderAuthorPerson)/d7524e136-true-d7717e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id | hl7:name[not(@nullFlavor)] | hl7:telecom | hl7:addr (rule-reference: d7524e136-true-d7717e0)</assert>
   </rule>
</pattern>
