<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.135.8.10.129
Name: Appropriate suitable hospital
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211">
   <title>Appropriate suitable hospital</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.129
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]
Item: (AppropriateSuitableHospital_2A)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.129
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]
Item: (AppropriateSuitableHospital_2A)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]"
         id="d20e2994-false-d9344e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="string(@classCode) = ('ACT')">(AppropriateSuitableHospital_2A): Der Wert von classCode MUSS 'ACT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="string(@moodCode) = ('EVN')">(AppropriateSuitableHospital_2A): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="not(@negationInd)">(AppropriateSuitableHospital_2A): Attribut @negationInd DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(AppropriateSuitableHospital_2A): Attribute @negationInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']) &gt;= 1">(AppropriateSuitableHospital_2A): Element hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']) &lt;= 1">(AppropriateSuitableHospital_2A): Element hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="count(hl7:code[(@code = 'KRANKENHAUSEMPFEHLUNG' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]) &gt;= 1">(AppropriateSuitableHospital_2A): Element hl7:code[(@code = 'KRANKENHAUSEMPFEHLUNG' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="count(hl7:code[(@code = 'KRANKENHAUSEMPFEHLUNG' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]) &lt;= 1">(AppropriateSuitableHospital_2A): Element hl7:code[(@code = 'KRANKENHAUSEMPFEHLUNG' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="count(hl7:text) &lt;= 1">(AppropriateSuitableHospital_2A): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(AppropriateSuitableHospital_2A): Element hl7:statusCode[@code = 'completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="count(hl7:participant[@typeCode = 'ELOC'][hl7:participantRole]) &gt;= 1">(AppropriateSuitableHospital_2A): Element hl7:participant[@typeCode = 'ELOC'][hl7:participantRole] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="count(hl7:participant[@typeCode = 'ELOC'][hl7:participantRole]) &lt;= 1">(AppropriateSuitableHospital_2A): Element hl7:participant[@typeCode = 'ELOC'][hl7:participantRole] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.129
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']
Item: (AppropriateSuitableHospital_2A)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']"
         id="d20e3002-false-d9412e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AppropriateSuitableHospital_2A): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="string(@root) = ('1.2.276.0.76.3.1.135.8.10.129')">(AppropriateSuitableHospital_2A): Der Wert von root MUSS '1.2.276.0.76.3.1.135.8.10.129' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.129
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:id
Item: (AppropriateSuitableHospital_2A)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:id"
         id="d20e3007-false-d9426e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AppropriateSuitableHospital_2A): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.129
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:code[(@code = 'KRANKENHAUSEMPFEHLUNG' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]
Item: (AppropriateSuitableHospital_2A)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:code[(@code = 'KRANKENHAUSEMPFEHLUNG' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]"
         id="d20e3010-false-d9437e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AppropriateSuitableHospital_2A): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="@nullFlavor or (@code='KRANKENHAUSEMPFEHLUNG' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(AppropriateSuitableHospital_2A): Der Elementinhalt MUSS einer von 'code 'KRANKENHAUSEMPFEHLUNG' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.129
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:text
Item: (AppropriateSuitableHospital_2A)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:text"
         id="d20e3015-false-d9453e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AppropriateSuitableHospital_2A): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.129
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (AppropriateSuitableHospital_2A)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d20e3017-false-d9464e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AppropriateSuitableHospital_2A): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.129-2019-07-24T130211.html"
              test="@nullFlavor or (@code='completed')">(AppropriateSuitableHospital_2A): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.129
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:participant[@typeCode = 'ELOC'][hl7:participantRole]
Item: (AppropriateSuitableHospital_2A)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.128
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:participant[@typeCode = 'ELOC'][hl7:participantRole]
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:participant[@typeCode = 'ELOC'][hl7:participantRole]">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.128-2019-07-24T125833.html"
              test="string(@typeCode) = ('ELOC')">(CDAParticipantBody): Der Wert von typeCode MUSS 'ELOC' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.128-2019-07-24T125833.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(CDAParticipantBody): Der Wert von contextControlCode MUSS 'OP' sein. Gefunden: "<value-of select="@contextControlCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.128-2019-07-24T125833.html"
              test="count(hl7:participantRole) &gt;= 1">(CDAParticipantBody): Element hl7:participantRole ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.128-2019-07-24T125833.html"
              test="count(hl7:participantRole) &lt;= 1">(CDAParticipantBody): Element hl7:participantRole kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.128
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:participant[@typeCode = 'ELOC'][hl7:participantRole]/hl7:participantRole
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:participant[@typeCode = 'ELOC'][hl7:participantRole]/hl7:participantRole">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.128-2019-07-24T125833.html"
              test="string(@classCode) = ('ROL') or not(@classCode)">(CDAParticipantBody): Der Wert von classCode MUSS 'ROL' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.128
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:participant[@typeCode = 'ELOC'][hl7:participantRole]/hl7:participantRole/hl7:id
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:participant[@typeCode = 'ELOC'][hl7:participantRole]/hl7:participantRole/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.128-2019-07-24T125833.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.128
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:participant[@typeCode = 'ELOC'][hl7:participantRole]/hl7:participantRole/hl7:addr
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:participant[@typeCode = 'ELOC'][hl7:participantRole]/hl7:participantRole/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.128-2019-07-24T125833.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.128
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:participant[@typeCode = 'ELOC'][hl7:participantRole]/hl7:participantRole/hl7:telecom
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.129']]/hl7:participant[@typeCode = 'ELOC'][hl7:participantRole]/hl7:participantRole/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20191126T191402/tmp-1.2.276.0.76.3.1.135.8.10.128-2019-07-24T125833.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
